Subject: "guix package -A" hangs with attached package set

From: Danny Milosavljevic <[email-masked]>
Date: Fri, 12 Jan 2018 16:50:47 +0100

Hi Leo,

On Fri, 12 Jan 2018 07:26:31 -0800
Leo Famulari <[email-masked]> wrote:

> I can't reproduce this with a recent Guix. Are you using any custom
> packages or modifications?

Yeah, sorry, I checked it now.  It's because of packages in my GUIX_PACKAGE_PATH.  When I move them away, "guix package -A" works fine.

Attached the offending directory from inside my GUIX_PACKAGE_PATH.

Warning!  If you decide to extract the attachment inside your GUIX_PACKAGE_PATH, be sure to save your work!  This hangs your computer.

I think it should still not happen.  Hence, I opened a new bugreport now.